AviatoAviato
DeveloperAPI ReferenceEntitiesId

/api/entities/{id}

GET
/api/entities/{id}

Path Parameters

id*string

Resource ID

Query Parameters

includeHidden?|

Allow access to entities marked hidden. Honored only with an active Aviato Afterburner license.

includeSources?|

Synthesize per-field metadata sources from entity_data rows for the editor.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/entities/string"
{
  "entity": {
    "id": "string",
    "type": "string",
    "name": "string",
    "status": "pending",
    "sourcePluginId": "string",
    "searchTerms": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "assets": {
      "property1": "string",
      "property2": "string"
    },
    "assetAspects": {
      "property1": "string",
      "property2": "string"
    }
  },
  "canonicalIds": [
    {
      "id": "string",
      "entityId": "string",
      "provider": "string",
      "externalId": "string",
      "url": "string"
    }
  ],
  "data": [
    {
      "id": "string",
      "entityId": "string",
      "pluginId": "string",
      "key": "string",
      "value": null
    }
  ],
  "externalLinks": [
    {
      "id": "string",
      "entityId": "string",
      "pluginId": "string",
      "label": "string",
      "url": "string"
    }
  ],
  "parents": [
    {
      "id": "string",
      "type": "string",
      "name": "string",
      "relationshipType": "string",
      "sortOrder": 0,
      "assets": {
        "property1": "string",
        "property2": "string"
      },
      "assetAspects": {
        "property1": "string",
        "property2": "string"
      },
      "data": [
        {
          "id": "string",
          "entityId": "string",
          "pluginId": "string",
          "key": "string",
          "value": null
        }
      ]
    }
  ],
  "children": [
    {
      "id": "string",
      "type": "string",
      "name": "string",
      "relationshipType": "string",
      "sortOrder": 0,
      "assets": {
        "property1": "string",
        "property2": "string"
      },
      "assetAspects": {
        "property1": "string",
        "property2": "string"
      },
      "data": [
        {
          "id": "string",
          "entityId": "string",
          "pluginId": "string",
          "key": "string",
          "value": null
        }
      ]
    }
  ],
  "fieldSources": {
    "property1": [
      {
        "value": null,
        "source": "string",
        "confidence": 0
      }
    ],
    "property2": [
      {
        "value": null,
        "source": "string",
        "confidence": 0
      }
    ]
  }
}
{
  "error": "string"
}